OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Migrating 2.2.4 version to 2.3.7

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Migrating 2.2.4 version to 2.3.7

Postby arubio » Fri Feb 08, 2013 3:58 pm

[b]Hello:

I´ve trying to migrate OJS in production from 2.2.4 to 2.3.7 version (is a previous step to migrate it at 2.4.x version):
It seems ok until email templates, where it crashes...

I use postgresql 8.2.4
and my languages support are english and spanish only.

Do you have any idea?


Thanks
[/b]
-----BEGIN LOG ------------------------------------------------------------------------
/ojs/php/bin/php tools/upgrade.php upgrade
[pre-install]
[load: upgrade.xml]
[version: 2.3.7.0]
[data: dbscripts/xml/upgrade/public_issue_ids.xml]
[data: dbscripts/xml/upgrade/2.2.0_preupdate.xml]
[code: Installer Installer::correctCurrencies]
[code: Installer Installer::migrateIssueLabelAndSettings]
[code: Installer Installer::dropAllIndexes]
[schema: dbscripts/xml/ojs_schema_stage1.xml]
[code: Installer Installer::setJournalPrimaryLocales]
[data: dbscripts/xml/upgrade/2.2.0_localize.xml]
[data: dbscripts/xml/upgrade/2.2.0_usersettings.xml]
[data: dbscripts/xml/upgrade/2.2.1_preupdate.xml]
[schema: lib/pkp/xml/schema/signoff.xml]
[data: dbscripts/xml/upgrade/2.3.0_preupdate.xml]
[data: dbscripts/xml/upgrade/2.3.3_preupdate1.xml]
[schema: lib/pkp/xml/schema/common.xml]
[schema: lib/pkp/xml/schema/groups.xml]
[schema: lib/pkp/xml/schema/announcements.xml]
[schema: lib/pkp/xml/schema/scheduledTasks.xml]
[schema: lib/pkp/xml/schema/temporaryFiles.xml]
[schema: lib/pkp/xml/schema/metadata.xml]
[schema: lib/pkp/xml/schema/reviews.xml]
[schema: lib/pkp/xml/schema/reviewForms.xml]
[schema: lib/pkp/xml/schema/controlledVocab.xml]
[schema: lib/pkp/xml/schema/submissions.xml]
[schema: lib/pkp/xml/schema/comments.xml]
[schema: lib/pkp/xml/schema/notes.xml]
[schema: dbscripts/xml/ojs_schema.xml]
[data: dbscripts/xml/upgrade/2.2.0_update.xml]
[code: Installer Installer::localizeJournalSettings]
[code: Installer Installer::migratePublisher]
[code: Installer Installer::installBlockPlugins]
[code: Installer Installer::setGalleyLocales]
[note: docs/release-notes/README-2.2.0]
[code: Installer Installer::migrateUserSettings]
[data: dbscripts/xml/upgrade/2.2.0_usersettings2.xml]
[code: Installer Installer::ensureSupportedLocales]
[data: dbscripts/xml/upgrade/2.2.1_update.xml]
[code: Installer Installer::renamePayPerViewSettings]
[code: Installer Installer::clearDataCache]
[note: docs/release-notes/README-2.2.1]
[data: dbscripts/xml/upgrade/2.2.3_update.xml]
[note: docs/release-notes/README-2.2.3]
[code: Installer Installer::separateSubscriptions]
[data: dbscripts/xml/upgrade/2.3.0_update.xml]
[code: Installer Installer::localizeMoreJournalSettings]
[code: Installer Installer::cleanImageAlts]
[code: Installer Installer::cleanTitles]
[note: docs/release-notes/README-2.3.0]
[code: Installer Installer::installEmailTemplate]
[code: Installer Installer::installEmailTemplate]
[code: Installer Installer::installEmailTemplate]
[code: Installer Installer::installEmailTemplate]
<h1>DB Error: ERROR: value too long for type character varying(120)</h1><h4>Stack Trace:</h4>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/mail/PKPEmailTemplateDAO.inc.php line 732<br />
<strong>Function:</strong> DAO->update("INSERT INTO email_templates_default_data
(email_key, locale,...")<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/install/Installer.inc.php line 613<br />
<strong>Function:</strong> PKPEmailTemplateDAO->installEmailTemplateData("locale/el_GR/emailTemplates.xml", False, "NOTIFICATION_MAILLIST_PASSWORD")<br />
<br/>
<strong>File:</strong> (unknown) line (unknown)<br />
<strong>Function:</strong> Installer->installEmailTemplate(Object(Upgrade), Array(3))<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/install/Installer.inc.php line 410<br />
<strong>Function:</strong> call_user_func(Array(2), Object(Upgrade), Array(3))<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/install/Installer.inc.php line 268<br />
<strong>Function:</strong> Installer->executeAction(Array(3))<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/install/Installer.inc.php line 189<br />
<strong>Function:</strong> Installer->executeInstaller()<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/cliTool/UpgradeTool.inc.php line 88<br />
<strong>Function:</strong> Installer->execute()<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/lib/pkp/classes/cliTool/UpgradeTool.inc.php line 64<br />
<strong>Function:</strong> UpgradeTool->upgrade()<br />
<br/>
<strong>File:</strong> /ojs/ojs-2.3.7/tools/upgrade.php line 33<br />
<strong>Function:</strong> UpgradeTool->execute()<br />
<br/>
ojs2: DB Error: ERROR: value too long for type character varying(120)
arubio
 
Posts: 4
Joined: Wed Aug 05, 2009 6:26 am

Re: Migrating 2.2.4 version to 2.3.7

Postby asmecher » Tue Feb 12, 2013 10:49 am

Hi arubio,

I suspect you haven't configured your database connection to use UTF-8. That leads to non-Latin characters taking 2 spaces apiece in PostgreSQL, and since the length limit of the "subject" field is 120 characters, the Greek text is too long. I'd suggest configuring your DB to use UTF-8 properly; see config.inc.php in the "database_charset" and "connection_charset" settings, but you also may need to convert the database contents themselves, for which I'd suggest looking at "iconv". Alternately, you can edit dbscripts/xml/upgrade.xml to skip the Greek language email templates (since it sounds like you don't need them) but you'll probably run into trouble down the road with character sets unless you do a proper UTF8 conversion.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9214
Joined: Wed Aug 10, 2005 12:56 pm

Re: Migrating 2.2.4 version to 2.3.7

Postby arubio » Wed Feb 13, 2013 12:30 pm

Mr Alec Smecher:

thanks it works !!, but in a non linear form. :)

1st.
created a POSTGRESQL UTF-8 DATABASE:
Code: Select all
create database zzzzzzz2 with ENCODING = 'UTF-8';


2nd.
I loaded the DB:
Code: Select all
psql -U postgres zzzzzzz2 </home/me/zzzzzzz2.ojs.postgresql.db.2.2.4.sql


Execute in the 2.3.7 subdir:
Code: Select all
php tools/upgrade.php upgrade


but this give me an error:
Code: Select all
[code: Installer Installer::migrateReviewingInterests]
<h1>DB Error: ERROR:  duplicate key value violates unique constraint "c_v_e_s_pkey"</h1><h4>Stack Trace:</h4>
<strong>File:</strong> /opt/ojs/classes/install/Upgrade.inc.php line 756<br />
...
ojs2: DB Error: ERROR:  duplicate key value violates unique constraint "c_v_e_s_pkey"


then, i deleted the DB and repeated the 1 and 2 steps.


I tried the upgrade with 2.3.6 version ... works fine !!
the upgrade 2.3.6 -> 2.3.7 ... works fine !!
the upgrade 2.3.7 -> 2.3.8 ... works fine !!


Thanks.



arubio
 
Posts: 4
Joined: Wed Aug 05, 2009 6:26 am

Re: Migrating 2.2.4 version to 2.3.7

Postby asmecher » Wed Feb 13, 2013 12:56 pm

Hi arubio,

Glad to hear you're back on track. Double-check to see that your reviewers' stated reviewing interests look OK; that's what the error message above relates to.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9214
Joined: Wed Aug 10, 2005 12:56 pm


Return to OJS Technical Support

Who is online

Users browsing this forum: Bing [Bot] and 6 guests